'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _isomorphicFetch = require('isomorphic-fetch');

var _isomorphicFetch2 = _interopRequireDefault(_isomorphicFetch);

var _ImageViewer = require('./Viewers/ImageViewer');

var _ImageViewer2 = _interopRequireDefault(_ImageViewer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

require('./style.css');

var DriprViewer = function (_React$Component) {
  _inherits(DriprViewer, _React$Component);

  function DriprViewer(props) {
    _classCallCheck(this, DriprViewer);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(DriprViewer).call(this, props));

    _this.state = {
      file: false
    };

    _this.baseApiUrl = props.baseApiUrl || 'https://api.dripr.io';
    _this.baseUrl = props.baseUrl || 'https://dripr.io';
    _this.getFile(props.fileId, props.apiKey);
    return _this;
  }

  _createClass(DriprViewer, [{
    key: 'getFile',
    value: function getFile(fileId, apiKey) {
      var _this2 = this;

      var options = {
        method: 'GET',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        }
      };

      if (this.props.apiKey) {
        options.headers.Authorization = 'Bearer ' + apiKey;
      }

      (0, _isomorphicFetch2.default)(this.baseApiUrl + '/files/' + fileId, options).then(function (response) {
        return response.json();
      }).then(function (json) {
        return _this2.setState({ file: json });
      }).catch(function (error) {
        return console.log(error);
      });
    }
  }, {
    key: 'processFile',
    value: function processFile(file) {
      switch (file.type) {
        case 'image':
          return _react2.default.createElement(_ImageViewer2.default, _extends({ file: file }, this.props));
        default:
          return _react2.default.createElement(
            'div',
            null,
            'Viewer not found'
          );
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var file = this.state.file;
      if (!file) {
        return null;
      }

      return this.processFile(file);
    }
  }]);

  return DriprViewer;
}(_react2.default.Component);

DriprViewer.propTypes = {
  fileId: _react.PropTypes.string.isRequired,
  apiKey: _react.PropTypes.string,
  baseUrl: _react.PropTypes.string,
  baseApiUrl: _react.PropTypes.string,
  width: _react.PropTypes.string,
  height: _react.PropTypes.string
};
exports.default = DriprViewer;