'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ImageViewer = function (_React$Component) {
  _inherits(ImageViewer, _React$Component);

  function ImageViewer(props) {
    _classCallCheck(this, ImageViewer);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(ImageViewer).call(this, props));

    _this.baseApiUrl = props.baseApiUrl || 'https://api.dripr.io';
    _this.baseUrl = props.baseUrl || 'https://dripr.io';

    return _this;
  }

  _createClass(ImageViewer, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: 'dripr-viewer-card', style: { width: this.props.width || '400px' } },
        _react2.default.createElement(
          'div',
          { className: 'dripr-viewer-card-header', style: { height: this.props.height || '300px' } },
          _react2.default.createElement('div', { className: 'dripr-viewer-card-header__avatar', style: { backgroundImage: 'url(' + this.props.file.url + ')' } }),
          _react2.default.createElement(
            'a',
            { href: this.baseUrl + '/file/' + this.props.file.hash, target: '_blank', className: 'dripr-viewer-card-header__follow' },
            'More'
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'dripr-viewer-card-footer' },
          _react2.default.createElement(
            'div',
            { className: 'dripr-viewer-card-footer__pens' },
            ' ',
            _react2.default.createElement(
              'span',
              null,
              '0'
            ),
            _react2.default.createElement(
              'div',
              { className: 'dripr-viewer-label' },
              'Followers'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: 'dripr-viewer-card-footer__followers' },
            ' ',
            _react2.default.createElement(
              'span',
              null,
              this.props.file.views,
              ' '
            ),
            _react2.default.createElement(
              'div',
              { className: 'dripr-viewer-label' },
              'Views'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: 'dripr-viewer-card-footer__following' },
            ' ',
            _react2.default.createElement(
              'span',
              null,
              this.props.file.comments,
              ' '
            ),
            _react2.default.createElement(
              'div',
              { className: 'dripr-viewer-label' },
              'Comments'
            )
          )
        )
      );
    }
  }]);

  return ImageViewer;
}(_react2.default.Component);

ImageViewer.propTypes = {
  file: _react.PropTypes.object.isRequired,
  baseUrl: _react.PropTypes.string,
  width: _react.PropTypes.string,
  height: _react.PropTypes.string
};
exports.default = ImageViewer;