
'use strict';

var path = require('path');
var react = require('react');
var webpack = require('webpack');
var HtmlWebpackPlugin = require('html-webpack-plugin');
var dist = {
  entry: {
    'dripr': path.resolve(__dirname, './src/DriprViewer.jsx')
  },
  output: {
    path: path.resolve(__dirname, './lib'),
    filename: '[name].js'
  },
  module: {
    loaders: [
      {
        test: /\.jsx?$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
        query: {
          presets: ['es2015', 'react', 'stage-0']
        }
      },
      {
        test: /\.less$/,
        loader: 'style-loader!css-loader!less-loader'
      },
      {
        test: /\.css$/,
        loader: 'style-loader!css-loader'
      }
    ]
  },
  resolve: {extensions: ['', '.js', '.jsx']},
  plugins: [
    new webpack.optimize.UglifyJsPlugin({
        compress: {
            warnings: true
        },
    }),
  ]
};

var development = {
  entry: [
    path.resolve(__dirname, './example/index.js'),
     'webpack-dev-server/client?http://localhost:9999'
  ],
  output: {
    path: path.resolve(__dirname, './lib'),
    filename: '[name].js'
  },
  module: {
    loaders: [
      {
        test: /\.jsx?$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
        query: {
          presets: ['es2015', 'react', 'stage-0']
        }
      },
      {
        test: /\.less$/,
        loader: 'style-loader!css-loader!less-loader'
      },
      {
        test: /\.css$/,
        loader: 'style-loader!css-loader'
      }
    ]
  },
  resolve: {extensions: ['', '.js', '.jsx']},
  plugins: [
    new HtmlWebpackPlugin(),
    new webpack.optimize.UglifyJsPlugin({
        compress: {
            warnings: true
        },
    }),
  ]
};

console.log('dehuhdeuh')
var configs = {development, dist};
var build = process.env.BUILD || process.env.NODE_ENV || 'development';
console.log(configs[build])
module.exports = configs[build]
